<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
	<component>
		<name>org.richfaces.ModalPanel</name>
		<family>org.richfaces.ModalPanel</family>
		<classname>org.richfaces.component.html.HtmlModalPanel</classname>
		<superclass>org.richfaces.component.UIModalPanel</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlModalPanelComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
		<description>
			<![CDATA[
    ]]>
		</description>
		<renderer generate="true" override="true">
			<name>org.richfaces.ModalPanelRenderer</name>
			<template>org/richfaces/htmlModalPanel.jspx</template>
		</renderer>
		<tag>
			<name>modalPanel</name>
			<classname>org.richfaces.taglib.ModalPanelTag</classname>
			<superclass> org.ajax4jsf.webapp.taglib.HtmlComponentTagBase </superclass>
		</tag>
		<!--
		<taghandler>
			<classname>org.ajax4jsf.tag.TestHandler</classname>
		</taghandler>
		-->
		&ui_component_attributes; &ui_input_attributes; &ui_output_attributes; 	&html_style_attributes;
		<!--
		<property>
			<name>param</name>
			<classname>java.lang.String</classname>
			<description>
			</description>
			<defaultvalue>"default"</defaultvalue>
		</property>
        -->
        
        
        
		<property>
			<name>headerClass</name>
			<classname>java.lang.String</classname>
			<description>CSS style(s) is/are to be applied to component header when this component
				is rendered </description>
			<defaultvalue>""</defaultvalue>
		</property>
		<property>
			<name>controlsClass</name>
			<classname>java.lang.String</classname>
			<description>CSS style(s) is/are to be applied to component controls when this component
				is rendered </description>
			<defaultvalue>""</defaultvalue>
		</property>
		<property>
			<name>width</name>
			<classname>int</classname>
			<description> Attribute defines width of component </description>
			<defaultvalue>-1</defaultvalue>
		</property>
		<property>
			<name>height</name>
			<classname>int</classname>
			<description>Attribute defines height of component </description>
			<defaultvalue>-1</defaultvalue>
		</property>
		<property>
			<name>minWidth</name>
			<classname>int</classname>
			<description> Attribute defines min width of component </description>
			<defaultvalue>-1</defaultvalue>
		</property>
		<property>
			<name>minHeight</name>
			<classname>int</classname>
			<description> Attribute defines min height of component </description>
			<defaultvalue>-1</defaultvalue>
		</property>
		<property>
			<name>left</name>
			<classname>java.lang.String</classname>
			<description> Attribute defines X position of component left-top corner </description>
			<defaultvalue>"auto"</defaultvalue>
		</property>
		<property>
			<name>top</name>
			<classname>java.lang.String</classname>
			<description> Attribute defines Y position of component left-top corner </description>
			<defaultvalue>"auto"</defaultvalue>
		</property>
		<property>
			<name>resizeable</name>
			<classname>boolean</classname>
			<description> if "true" there is possibility to change component size </description>
			<defaultvalue>true</defaultvalue>
		</property>
		<property>
			<name>moveable</name>
			<classname>boolean</classname>
			<description> if "true" there is possibility to move component </description>
			<defaultvalue>true</defaultvalue>
		</property>
		<property>
			<name>zindex</name>
			<classname>int</classname>
			<description> Attribute is similar to the standard HTML attribute and can specify window
				placement relative to the content </description>
			<defaultvalue>100</defaultvalue>
		</property>
		<property>
			<name>shadowOpacity</name>
			<classname>java.lang.String</classname>
			<description> HTML CSS class attribute of element for pop-up suggestion content
			</description>
		</property>
		
		<property>
			<name>shadowDepth</name>
			<classname>java.lang.String</classname>
			<description> Pop-up shadow depth for suggestion content </description>
		</property>
		<property>
			<name>onshow</name>
			<classname>java.lang.String</classname>
			<description> Event must occurs after panel opened </description>
			<defaultvalue><![CDATA[""]]></defaultvalue>
		</property>
		<property>
			<name>onhide</name>
			<classname>java.lang.String</classname>
			<description> Event must occurs after panel closed </description>
			<defaultvalue><![CDATA[""]]></defaultvalue>
		</property>
		<property>
			<name>showWhenRendered</name>
			<classname>boolean</classname>
			<description> If "true" value for this attribute makes a modal panel opened as default. </description>
			<defaultvalue>false</defaultvalue>
		</property>
		<property>
			<name>keepVisualState</name>
			<classname>boolean</classname>
			<description> If &quot;true&quot; modalPanel should save state after submittion </description>
			<defaultvalue>false</defaultvalue>
		</property>
		
		<property>
			<name>visualOptions</name>
			<classname>java.util.Map</classname>
			<description>Defines options that were specified on the client side</description>
			<defaultvalue/>
		</property>
		<property>
			<name>tridentIVEngineSelectBehavior</name>
			<classname>java.lang.String</classname>
			<description> How to handle HTML SELECT-based controls in IE 6? - "disable" - default,
				handle as usual, use disabled="true" to hide SELECT controls - "hide" - use
				visibility="hidden" to hide SELECT controls </description>
			<defaultvalue><![CDATA["disable"]]></defaultvalue>
		</property>
		<property>
			<name>autosized</name>
			<classname>boolean</classname>
			<description> If 'true' modalPanel should be autosizeable </description>
			<defaultvalue>false</defaultvalue>
		</property>
		<property hidden="true" >
			<name>requiredMessage</name>
			<classname>java.lang.String</classname>
			<description> A ValueExpression enabled attribute that, if present, will be used as the
				text of the validation message for the "required" facility, if the "required"
				facility is used </description>
		</property>
		<property hidden="true" >
			<name>required</name>
			<classname>boolean</classname>
			<defaultvalue>false</defaultvalue>
		</property>
		<property hidden="true" >
			<name>immediate</name>
			<classname>boolean</classname>
			<defaultvalue>false</defaultvalue>
		</property>
		<property>
			<name>validatorMessage</name>
			<classname>java.lang.String</classname>
			<description> A ValueExpression enabled attribute that, if present, will be used as the
				text of the validator message, replacing any message that comes from the validator
			</description>
		</property>
		<property>
			<name>converterMessage</name>
			<classname>java.lang.String</classname>
			<description> A ValueExpression enabled attribute that, if present, will be used as the
				text of the converter message, replacing any message that comes from the converter
			</description>
		</property>
		<property hidden="true">
			<name>localValueSet</name>
			<description>localValueSet</description>
		</property>
		<property hidden="true">
			<name>valid</name>
			<description>valid</description>
		</property>
	</component>
</components>
